Page MenuHomePhabricator

Checklist for WikiDev16 session organizers
Closed, ResolvedPublic

Description

Organizers of pre-schedled or unconference sessions at the Wikimedia-Developer-Summit-2016 need to to have a document (a checklist?) defining what is expected from them and from the session they are running.

One key deliverable are meeting notes documenting the outcome of the session, ideally using a common template.

Previous description

This is a suggested change from last year's Dev Summit and not something we are fully addressing yet. (I think we are or will be addressing the rest of them)
https://www.mediawiki.org/wiki/MediaWiki_Developer_Summit_2015/Lessons_learned

@Qgil & @Aklapper: do you guys have any ideas for this?

This purpose of this is to make sessions easier to join and understand in advance. To help ensure that speakers have done some work and organized their thoughts and documentation in a way that is consistent, to help make sure that notes are taken during sessions in a readable way with clear next steps and clear understanding of points of agreement.

Anyone willing to put together a template for Etherpads? Are we too late for a template for Phabricator?

Event Timeline

Rfarrand created this task.Dec 7 2015, 6:42 PM
Rfarrand raised the priority of this task from to Normal.
Rfarrand updated the task description. (Show Details)
Rfarrand added subscribers: Rfarrand, Qgil, Aklapper.
Rfarrand set Security to None.Dec 7 2015, 7:41 PM
Rfarrand added a subscriber: RobLa-WMF.

Adding @RobLa-WMF too

Thanks for filing this @Rfarrand! This is a pretty important thing to get right. I don't think responsibility for this should be centralized; we should ask that the people running the sessions do this. Do we have a checklist for session organizers to use? We should probably add this as an item for their checklist.

Rfarrand added a subscriber: RobLa.Dec 8 2015, 7:46 PM

Hi @RobLa - just to be clear this is meant to be about us (or somebody) creating a template that all people running the sessions will use in their either pad notes so that each session has consistent information recorded in the same way. Unless I am misunderstanding, leaving it up to the individuals running the session would defeat the purpose which was to address the lack of constancy from last year.

Do you think you might be able to help? :)

Hi @Rfarrand, I can probably help with this. This seems like an element of a much larger task, though, which is to provide a checklist for running a session. That's going to include:

  • Clarifying the goal of the meeting
  • Preparing the notetaking mechanism
  • Linking to it from the Phab task for the session
  • Preparing the agenda, including an up-front "agenda bashing" item, and setting aside fixed periods of time for the list of questions to be discussed

Is there a larger task filed in Phabricator for session presentation? This template side of things is a very small part of it.

I forgot to add: I'm not sure how to build the template lacking the larger context for this. That's why I'm asking about the Phab task for speaker prep.

Aklapper added a comment.EditedDec 10 2015, 2:37 PM

Trying to remember last WikiDev plus reading comments here, for Etherpad instances the default content/structure (copy&paste into it?) could be something like:

  • Link to session's corresponding Phabricator task (e.g. which might have links to relevant resources and previous discussion)
  • Reminder: Everybody please keep this Etherpad focused on documenting our session.
  • Define a dedicated Notetaker?
  • Declared goal(s) of the session, e.g. copied from Phab task.
  • List of aspects/questions to be discussed in session
    • List of each aspect with approx. time period for discussion (e.g. "~10 minutes")
    • Documented points of (dis)agreement
    • Documented clear next steps to take. Call out action items seperately for each step and who to drive it (explicit assignee). Assignees to create explicit Phab followup tasks when applicable (please link back from WikiDev session task!)
  • Owners/speakers of sessions are expected to add the content of this Etherpad (copy&paste) or at least the URL of this Etherpad to the task description of the session's corresponding Phabricator task.

Missing anything?

Qgil claimed this task.Dec 17 2015, 6:11 PM
Qgil added a comment.Dec 21 2015, 10:38 AM

Just for reference: T86118: Etherpad template for 2015 MediaWiki Developer Summit session notes

We don't have a checklist for session organizers and I agree we need one. I think we can just rename this task.

By the way, I took the task only because it was orphan. @RobLa-WMF, you can take it, or we could propose it to the consultant that will help us with the unconference. It is a matter of availability in the next days.

Just for reference: T86118: Etherpad template for 2015 MediaWiki Developer Summit session notes
We don't have a checklist for session organizers and I agree we need one. I think we can just rename this task.
By the way, I took the task only because it was orphan. @RobLa-WMF, you can take it, or we could propose it to the consultant that will help us with the unconference. It is a matter of availability in the next days.

My hunch is we'll need to ask the consultant to do if the choice is between me or the consultant.

Qgil renamed this task from Create templates for etherpads/Phabricator for all sessions @ Developer Summit to Checklist for WiiDev'16 session organizers.Dec 28 2015, 2:32 PM
Qgil renamed this task from Checklist for WiiDev'16 session organizers to Checklist for WikiDev16 session organizers.
Qgil updated the task description. (Show Details)

As @RobLa-WMF predicted, I'm taking on this task. :)

The checklist and session notes template are up in second draft form and ready to be sent out to the attendees here:

https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit_2016/Session_checklist
https://etherpad.wikimedia.org/p/WikiDev16-YourSession

Please feel free to edit or comment on them there or here.

Qgil closed this task as Resolved.Jan 12 2016, 1:14 AM